function matbin_reader(mname, r,g,b,a, tname, has_alpha, no_cull, lighting, decal)

        has_alpha = has_alpha or decal

        local mat1 = get_material(mname)
        local mat2 = get_material(mname.."'")

        if mat1 ~= nil then remove_material(mat1.name) end
        if mat2 ~= nil then remove_material(mat2.name) end

        mat1 = nil
        mat2 = nil

        local parent = "common/"..(lighting and "v" or "V")..(tname and "T" or "t")

        mat1 = mat1 or get_material(parent):clone(mname)
        --mat2 = mat2 or get_material(parent):clone(mname.."'")
        mat2 = mat2 or get_material(parent.."'"):clone(mname.."'")

        for _,mat in ipairs{mat1,mat2} do

                for t=0,mat:getNumTechniques()-1 do

                        for p=0,mat:getNumPasses(t)-1 do

                                if tname then
                                        mat:setTextureName(t,p,0,tname)
                                end

                                if no_cull then
                                        mat:setCull(t,p,false)
                                        mat:setManualCull(t,p,false)
                                end

                                mat:setAmbient(t,p,r,g,b)
                                if lighting then
                                        mat:setDiffuse(t,p,r,g,b,a)
                                else
                                        mat:setDiffuse(t,p,0,0,0,1)
                                end
    
                                if not decal then
                                        if mat:hasFragmentProgram(t,p) then
                                                mat:setFragmentConstantFloat(t,p,"alpha_rej",63/255)
                                        end
                                end

                                if has_alpha then
                                        mat:setSceneBlending(t,p,"SRC_ALPHA","ONE_MINUS_SRC_ALPHA")
                                        mat:setTransparentSortingForced(t,p,true)
                                end

                                if decal then
                                        mat:setDepthWriteEnabled(t,p,false)
                                end

                        end

                end

        end

end

world:deactivateAll()

-- vim: shiftwidth=8:tabstop=8:expandtab
