uniform sampler2D LeftTex;
uniform sampler2D RightTex;
uniform float desaturation;

void main()
{
    // when desaturating, favour
    vec3 bias = vec3(1, 1, 1) / 3.0;

    vec3 left_tex = texture2D(LeftTex, gl_TexCoord[0].xy).rgb;
    vec3 left_eye = mix(left_tex,vec3(1,1,1) * dot(left_tex,bias), desaturation);

    vec3 right_tex = texture2D(RightTex, gl_TexCoord[0].xy).rgb;
    vec3 right_eye = mix(right_tex,vec3(1,1,1) * dot(right_tex,bias), desaturation);

    gl_FragColor = vec4(left_eye.r, right_eye.gb, 1);
}
