physics:overrideMesh("vehicles/Seat/Body.tcol")

local mu = 1.45
local rad = 0.29 -- wheels
local len = 0.1
local wx, wf, wb, wz = 0.63, 0.87, -1.27, -0.12

world:overrideClass("vehicles/Seat", extends(Vehicle) {
        gfxMesh="vehicles/Seat/Body.mesh",
        colMesh="vehicles/Seat/Body.tcol",
        steerMax = 25,
        powerPlots = {
                [-1] = { [0] = -2000; [10] = -4000; [30] = -3000; [40] = 0; },
                [0] = {}, --neutral
                [1] = { [0]=2000; [20]=2500; [40]=4000; [80]=3500; [100]=4000 ; [110]=4000; [150]=4000; },
        },       
        wheelInfo = {
                {pos=Vector3(-wx, wf, wz);
                 left=true; steer=1; drive=false; handbrake=false;
                 mesh="vehicles/Seat/Wheel.mesh"; len=len; rad=rad;
                 mu = mu * 0.9;
                },

                {pos=Vector3(wx, wf, wz);
                 left=false; steer=1; drive=false; handbrake=false;
                 mesh="vehicles/Seat/Wheel.mesh"; len=len; rad=rad;
                 mu = mu * 0.9;
                },

                {pos=Vector3(-wx, wb, wz);
                 left=true; steer=0; drive=1; handbrake=true;
                 mesh="vehicles/Seat/Wheel.mesh"; len=len; rad=rad;
                 mu = mu * 1.1;
                },

                {pos=Vector3(wx, wb, wz);
                 left=false; steer=0; drive=1; handbrake=true;
                 mesh="vehicles/Seat/Wheel.mesh"; len=len; rad=rad;
                 mu = mu * 1.1;
                },
        },
},{})

world:overrideClass("vehicles/SeatChassis", ColClass, { gfxMesh="vehicles/Seat/Body.mesh", colMesh="vehicles/Seat/Body.tcol" })


-- vim: shiftwidth=8:tabstop=8:expandtab
